/* plik określający style dla następujących grup elementów:
	- paska na górze strony (header)
	- formularza wysyłania raportu
	- główne bloki otaczające tresć strony, jej pozycjonowanie na środku (bez elementów zawartości)
	- powiadomienia
	- informacji o wersji i autorze
*/

/* import czcionek z serwerów Google - oryginalnie wyłączony w v.18, włączony w celu właściwego wyglądu wersji DEMO */
@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,400italic,600,600italic|Roboto:400,400italic&subset=latin,latin-ext);

body {
	margin-top: 0;
	margin-left: 0;
	margin-right: 0;
	margin-bottom: 0;
	
}

a, a:hover, a:focus {
	color: white;
	text-decoration: none;
}

.gora {
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 70px;
	margin-top: -1px;
	background: rgb(241, 241, 241);
	z-index: 4000;
	box-shadow: 0px 0px 5px #696868;
}

.pelne_logo {
	width: 160px;
	height: 70px;
	display: inline-block;
	margin-left: 150px;
	background: url("../img/licznik_logo.png") no-repeat scroll 0% 0% / 152px 70px transparent; /* bez powtarzania, przewijanie, od krawędzi 0%, rozmiar 300x70 */
}

#powiadomienia_logo {
	width: 70px;
	height: 62px;
	display: inline-block;
	position: fixed;
	margin-top: 6px;
	margin-left: 40px;
	cursor: pointer;
	text-shadow: 0px 3px 3px rgba(26, 118, 255, 0.4);
	background: url("../img/powiadomienia_brak.png") no-repeat scroll 0% 0% / 70px auto transparent;
}

#powiadomienia_logo:hover {
	border-bottom: 2px solid #267fff;
}

#powiadomienia_liczba {
	font-family: "Times New Roman";
	width: 25px;
	height: 23px;
	color: #0066ff;
	font-size: 23px;
	font-weight: 600;
	display: inline-block;
	margin-left: 85px;
	position: fixed;
	top: 43px;
	text-align: center;
}

.zglos_raport_przycisk {
	color: white;
	font-size: 17px;
	font-family: "Open Sans";
	background-color: #7ecd4a;
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.4);
	display: inline-block;
	padding-left: 0px;
	padding: 5px 0px;
	width: 140px;
	text-align: center;
	cursor: pointer;
	border-radius: 10px;
	position: fixed;
	right: 200px;
	top: 20px;
}

.zglos_raport_przycisk:hover {
	background-color: #96d56a;
}

.users {
	display: inline-block;
	margin-top: 20px;
	margin-right: 25px;
	padding-left: 0px;
	float: right;
}

.user_main:hover .users {
	padding-left: 40px;
}

.user_main {
	color: white;
	font-size: 17px;
	font-family: "Open Sans";
	background-color: #0066ff;
	background-image: linear-gradient(90deg,#267fff,#3585ff,#267fff);
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.4);
	display: inline-block;
	padding-left: 0px;
	padding: 5px 0px;
	width: 140px;
	text-align: center;
	cursor: pointer;
	border-radius: 10px;
	list-style-type: none;
}

.users:hover .user_wybor:first-child {
	margin-top: 5px;
}

.users:hover .user_main {
	padding-bottom: 0px;
}

.user_lista {
	display: none;
}

.users:hover .user_lista {
	display: block;
}


.user_wybor {
	list-style-type: none;
	margin-left: -40px;
	border-radius: 0px;
	padding: 5px;
}

a:last-child .user_wybor {
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
}

.user_wybor:hover {
	background-color: #4d94ff;
}

.inne_elementy {
	margin-top: 69px;
	z-index: 2000;
}

.reszta_strony {
	width: 100%;
	background: url("../img/background_main.jpg") no-repeat fixed 0% 0% / cover transparent;
}

.strona_main {
	margin: auto;
	width: 950px;
	padding: 5px;
}

/*   zgłaszanie - deklaracje     */

#zglaszanie_blok {
	width: 99%;
	height: 400px;
	position: fixed;
	top: 200px;
	left: 0px;
	display: none;
	z-index: 2000;
}

#zglaszanie_ramka, #blok_powiadomien_srodek {
	width: 700px;
	margin: auto;
}

.tytul_ramki {
	height: 35px;
	background-image: linear-gradient(45deg,#84cf52,#98d86d,#84cf52);
	border: 1px solid #84cf52;
	border-bottom: 1px solid #84cf52;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}


.tytul_tekst {
	font-size: 20px;
	font-family: "Open Sans";
	color: white;
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.3);
	margin-left: 25px;
	position: relative;
	top: 3px;
}

.ramka_tresc {
	border: 1px solid #84cf52;
	border-top: 0px;
	border-bottom: 0px;
	padding: 25px 0px 0px 20px;
	background-color: white;
}

.ramka_przyciski {
	/*background-image: linear-gradient(90deg,#d7d7d7,#dedede,#d7d7d7);*/
	border: 1px solid #84cf52;
	border-top: 0px solid #84cf52;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	text-align: right;
	padding: 5px 35px 10px;
	background-color: white;
}

.ramka_tresc_napis {
	font-size: 17px;
	margin-right: 10px;
	font-family: "Open Sans";
	cursor: pointer;
}

.srodek_ramki .ramka_tresc_napis {
	position: relative;
	top: -60px;
}

.gora_ramki {
	height: 35px;
}

#zgl_temat {
	height: 30px;
	width: 563px;
	padding-left: 8px;
	padding-right: 8px;
	margin-left: 2px;
	display: inline;
}

#zgl_temat, #zgl_tekst {
	color: black;
	font-family: "Open Sans";
	font-size: 15px;
	border: 1px solid rgba(0, 102, 255, 0.5);
	border-radius: 10px;
	box-shadow: 0px 0px 5px #e6e6e6 inset;
}

#zgl_temat:hover, #zgl_tekst:hover {
	border: 1px solid rgb(0, 102, 255);
}

#zgl_temat:focus, #zgl_tekst:focus {
	border: 1px solid rgb(0, 102, 255);
	box-shadow: 0px 0px 10px rgba(0, 102, 255, 0.4), 0px 0px 5px #e6e6e6 inset;
}

.srodek_ramki {
	height: 150px;
	margin-top: 20px;
}

#zgl_tekst {
	width: 570px;
	height: 120px;
	padding: 5px;
	resize: none;
}

.zgl_zatwierdz {
	color: white;
	font-size: 17px;
	font-family: "Open Sans";
	background-color: #84cf52;
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.4);
	display: inline-block;
	padding: 5px 0px;
	width: 100px;
	text-align: center;
	cursor: pointer;
	border: 0px;
	border-radius: 10px;
}

.zgl_zatwierdz:hover {
	background-color: #9fdb77;
}

.zgl_anuluj {
	color: white;
	font-size: 17px;
	font-family: "Open Sans";
	background-color: #3c3c3c;
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.4);
	display: inline-block;
	padding: 5px 0px;
	width: 100px;
	border-radius: 10px;
	box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.2);
	cursor: pointer;
	border: 0px;
	margin-left: 20px;
}

.zgl_anuluj:hover {
	background-color: #646464;
}

#zgl_notka {
	float: left;
	font-size: 19px;
	font-style: oblique;
	font-family: "Open Sans";
	padding-top: 4px;
}

.zgl_notka_czerwona {
	color: #ff2a2a;
}

.zgl_notka_zielona {
	color: #529228;
}

/* deklaracje styli powiadomień */

.ramka_powiadomienia {
	margin-top: 40px;
	margin-bottom: -15px;
}

#tytul_ogolny_powiadomien {
	margin: 0px 10px;
}

#brak_powiadomien {
	font-family: "Open Sans";
	font-size: 20px;
	margin: 0px 0px -10px 0px;
	display: none;
}

#grupa_powiadomien {
	padding-bottom: 15px;
}

.pojedyncze_powiadomienie {
	display: table;
}

.powiadomienie_tekst {
	display: table-cell;
	width: 870px;
	max-width: 870px;
}

.tytul_powiadomienia {
	font-family: "Open Sans";
	font-size: 22px;
	font-variant: small-caps;
	margin: 0px 0px 5px;
	text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
}

.opis_powiadomienia {
	font-family: "roboto";
	font-size: 16px;
	margin: 0px;
	line-height: 22px;
}

.powiadomienie_blok_zamknij {
	display: table-cell;
	width: 35px;
	height: 100%;
	text-align: center;
	vertical-align: middle;
}

.powiadomienie_zamknij {
	margin: auto;
	padding-top: 2px;
	font-family: "roboto";
	font-size: 16px;
	color: white;
	cursor: pointer;
	border-radius: 50%;
	width: 25px;
	height: 24px;
	display: none;
}

.powiadomienia_przerwa {
	height: 1px;
	margin: 15px 10px;
	background-image: linear-gradient(to right, rgba(150, 150, 150, 0.1), rgba(100, 100, 100, 0.5), rgba(150, 150, 150, 0.1));
}

/* deklaracje kolorystyki */

.napis_niebieski {color: #046bff;}
.napis_pomaranczowy {color: #ff7f2a;}
.napis_czerwony {color: #ff0e0e;}

.przycisk_niebieski:hover, .przycisk_pomaranczowy:hover, .przycisk_czerwony:hover {opacity: 0.6;}

.przycisk_niebieski {background-color: #287fff;}
.przycisk_pomaranczowy {background-color: #ff7f2a;}
.przycisk_czerwony {background-color: #ff2a2a;}

/* styl obiektu informacja o wersji i autorze */

.informacje {
	font-family: "roboto";
	font-size: 16px;
	padding: 10px;
	margin-top: 20px;
	margin-bottom: 10px;
	text-align: right;
	border-radius: 10px;
	background-color: rgba(230, 230, 230, 0.7);
	box-shadow: 0px 0px 7px #cccccc;
}

.informacje a:focus {
	color: black;
}

.informacje-autor-wersja {
	display: inline-block;
	float: left;
}

#informacje-lista-zmian, #informacje-do-zrobienia {
	display: inline-block;
	text-decoration: none;
	color: black;
	padding-left: 10px;
	padding-right: 10px;
}

#informacje-lista-zmian:hover, #informacje-do-zrobienia:hover {
	text-decoration: underline;
	color: rgb(0, 102, 255);
}
